com.verisign.epp.codec.org

## Class EPPOrgPendActionMsg

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.org.EPPOrgPendActionMsg

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPOrgPendActionMsg
      extends EPPResponse

  Poll message used to indicate the result of a pending action. Pending action can included domain create, update, renew, transfer, and delete.
  See Also:
    `EPPOrgCreateCmd`, `EPPOrgUpdateCmd`, `EPPOrgDeleteCmd`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPOrgPendActionMsg`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPOrgPendActionMsg`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPOrgPendActionMsg()` `EPPOrgPendActionMsg` default constructor.
    `EPPOrgPendActionMsg(EPPTransId aTransId, java.lang.String aOrgId, boolean aSuccess, EPPTransId aPendingTransId, java.util.Date aPendingDate)` `EPPOrgPendActionMsg` constructor that takes all of the required attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPOrgPendActionMsg`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPOrgPendActionMsg` attributes from the `aElement` DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPOrgPendActionMsg` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPOrgPendActionMsg` with this instance.
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPOrgPendActionMsg` .
    `java.lang.String` | `getOrgId()` Gets the the server-unique identifier of the organization object.
    `java.util.Date` | `getPendingDate()` Gets the date that the pending action was completed.
    `EPPTransId` | `getPendingTransId()` Gets the pending transaction id.
    `java.lang.String` | `getType()` Gets the EPP command type associated with `EPPOrgPendActionMsg`.
    `boolean` | `isPASuccess()` Was the pending action successful?
    `void` | `setOrgId(java.lang.String aOrgId)` Sets the org identifier.
    `void` | `setPASuccess(boolean aSuccess)` Sets if the pending action was successful.
    `void` | `setPendingDate(java.util.Date aPendingDate)` Sets the date that the pending action was completed.
    `void` | `setPendingTransId(EPPTransId pendingTransId)` Sets the pending transaction id.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgPendActionMsg`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgPendActionMsg`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgPendActionMsg

          public EPPOrgPendActionMsg()

      `EPPOrgPendActionMsg` default constructor. Must call required setter methods before encode.

    - #### EPPOrgPendActionMsg

          public EPPOrgPendActionMsg(EPPTransId aTransId,
                                     java.lang.String aOrgId,
                                     boolean aSuccess,
                                     EPPTransId aPendingTransId,
                                     java.util.Date aPendingDate)

      `EPPOrgPendActionMsg` constructor that takes all of the required attributes.
      Parameters:
        `aTransId` - Poll command transaction id
        `aOrgId` - Org Id of pending action
        `aSuccess` - Was the pending action successful
        `aPendingTransId` - Pending action transaction id
        `aPendingDate` - Date of pending action completion

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets the EPP command type associated with `EPPOrgPendActionMsg`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPOrgPendActionMsg.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPOrgPendActionMsg` .
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPOrgMapFactory.NS`

    - #### getOrgId

          public java.lang.String getOrgId()

      Gets the the server-unique identifier of the organization object.
      Returns:
        The the server-unique identifier of the organization object if defined;`null` otherwise.

    - #### setOrgId

          public void setOrgId(java.lang.String aOrgId)

      Sets the org identifier.
      Parameters:
        `aOrgId` - The org identifier

    - #### getPendingDate

          public java.util.Date getPendingDate()

      Gets the date that the pending action was completed.
      Returns:
        Returns the pendingDate.

    - #### setPendingDate

          public void setPendingDate(java.util.Date aPendingDate)

      Sets the date that the pending action was completed.
      Parameters:
        `aPendingDate` - The pendingDate to set.

    - #### getPendingTransId

          public EPPTransId getPendingTransId()

      Gets the pending transaction id.
      Returns:
        Returns the pendingTransId.

    - #### setPendingTransId

          public void setPendingTransId(EPPTransId pendingTransId)

      Sets the pending transaction id.
      Parameters:
        `pendingTransId` - The pendingTransId to set.

    - #### isPASuccess

          public boolean isPASuccess()

      Was the pending action successful?
      Returns:
        Returns `true` if the pending action was successfully completed; `false` otherwise.

    - #### setPASuccess

          public void setPASuccess(boolean aSuccess)

      Sets if the pending action was successful.
      Parameters:
        `aSuccess` - The success to set.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPOrgPendActionMsg` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPOrgPendActionMsg`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPOrgPendActionMsg`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPOrgPendActionMsg` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPOrgPendActionMsg` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPOrgPendActionMsg` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPOrgPendActionMsg` attributes from the `aElement` DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPOrgPendActionMsg` from.
      Throws:
        `EPPDecodeException` - Unable to decode `aElement`

Copyright © VeriSign Inc. All Rights Reserved.